Gecode::SubscribedPropagators Class Reference

Iterator over subscribed propagators. More...

`#include <subscribed.hpp>`

## Public Member Functions

template<class VIC>
| SubscribedPropagators (VarImp< VIC > &x)
| Initialize.
template<class View>
| SubscribedPropagators (ConstView< View > &x)
| Initialize.
template<class Var>
| SubscribedPropagators (VarImpView< Var > &x)
| Initialize.
template<class View>
| SubscribedPropagators (DerivedView< View > &x)
| Initialize.
template<class VIC>
void | init (VarImp< VIC > &x)
| Initialize.
template<class View>
void | init (ConstView< View > &x)
| Initialize.
template<class Var>
void | init (VarImpView< Var > &x)
| Initialize.
template<class View>
void | init (DerivedView< View > &x)
| Initialize.
bool | operator() (void) const
| Test whether there are propagators left.
void | operator++ (void)
| Move iterator to next propagator.
Propagator & | propagator (void) const
| Return propagator.

## Protected Attributes

ActorLink ** | c
| Pointing at the current subscription (either propagator or advisor).
ActorLink ** | ep
| End of propagator subscriptions.
ActorLink ** | ea
| End of advisor subscriptions.

## Detailed Description

Iterator over subscribed propagators.

Definition at line 36 of file subscribed.hpp.

## Constructor & Destructor Documentation

## SubscribedPropagators() [1/4]

template<class VIC>

Gecode::SubscribedPropagators::SubscribedPropagators | ( | VarImp< VIC > & | x | ) |

inline

Initialize.

Definition at line 85 of file subscribed.hpp.

## SubscribedPropagators() [2/4]

template<class View>

Gecode::SubscribedPropagators::SubscribedPropagators | ( | ConstView< View > & | x | ) |

inline

Initialize.

Definition at line 95 of file subscribed.hpp.

## SubscribedPropagators() [3/4]

template<class Var>

Gecode::SubscribedPropagators::SubscribedPropagators | ( | VarImpView< Var > & | x | ) |

inline

Initialize.

Definition at line 100 of file subscribed.hpp.

## SubscribedPropagators() [4/4]

template<class View>

Gecode::SubscribedPropagators::SubscribedPropagators | ( | DerivedView< View > & | x | ) |

inline

Initialize.

Definition at line 110 of file subscribed.hpp.

## Member Function Documentation

## init() [1/4]

template<class VIC>

void Gecode::SubscribedPropagators::init | ( | VarImp< VIC > & | x | ) |

inline

Initialize.

Definition at line 79 of file subscribed.hpp.

## init() [2/4]

template<class View>

void Gecode::SubscribedPropagators::init | ( | ConstView< View > & | x | ) |

inline

Initialize.

Definition at line 90 of file subscribed.hpp.

## init() [3/4]

template<class Var>

void Gecode::SubscribedPropagators::init | ( | VarImpView< Var > & | x | ) |

inline

Initialize.

Definition at line 105 of file subscribed.hpp.

## init() [4/4]

template<class View>

void Gecode::SubscribedPropagators::init | ( | DerivedView< View > & | x | ) |

inline

Initialize.

Definition at line 115 of file subscribed.hpp.

## operator()()

bool Gecode::SubscribedPropagators::operator() | ( | void |  | ) | const

inline

Test whether there are propagators left.

Definition at line 120 of file subscribed.hpp.

## operator++()

void Gecode::SubscribedPropagators::operator++ | ( | void |  | ) |

inline

Move iterator to next propagator.

Definition at line 124 of file subscribed.hpp.

## propagator()

Propagator & Gecode::SubscribedPropagators::propagator | ( | void |  | ) | const

inline

Return propagator.

Definition at line 128 of file subscribed.hpp.

## Member Data Documentation

## c

ActorLink** Gecode::SubscribedPropagators::c

protected

Pointing at the current subscription (either propagator or advisor).

Definition at line 39 of file subscribed.hpp.

## ep

ActorLink** Gecode::SubscribedPropagators::ep

protected

End of propagator subscriptions.

Definition at line 41 of file subscribed.hpp.

## ea

ActorLink** Gecode::SubscribedPropagators::ea

protected

End of advisor subscriptions.

Definition at line 43 of file subscribed.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/propagator/subscribed.hpp